SanitizerApi: Sanitizer_LaunchData Struct Reference

# Sanitizer_LaunchData Struct Reference
[Sanitizer Callback API]

Data passed into a launch callback function. More...

## Data Fields
CUcontext | apiContext
CUstream | apiStream
CUcontext | context
CUdevice | device
CUfunction | function
const char * | functionName
uint64_t | gridId
Sanitizer_StreamHandle | hApiStream
Sanitizer_LaunchHandle | hLaunch
Sanitizer_StreamHandle | hStream
CUmodule | module
CUstream | stream
uint32_t | blockDim_x
uint32_t | blockDim_y
uint32_t | blockDim_z
uint32_t | clusterDim_x
uint32_t | clusterDim_y
uint32_t | clusterDim_z
uint32_t | gridDim_x
uint32_t | gridDim_y
uint32_t | gridDim_z

## Detailed Description

Data passed into a launch callback function as the `cbdata` argument to Sanitizer_CallbackFunc. The `cbdata` will be this type for `domain` equal to SANITIZER_CB_DOMAIN_LAUNCH. The callback data is only valid within the invocation of the callback function that is passed the data. If you need to retain some data for use outside of the callback, you must make a copy of it.

## Field Documentation

CUcontext Sanitizer_LaunchData::apiContext

Only valid for graph node launches. This is the context of the stream used in the graph launch API call.

CUstream Sanitizer_LaunchData::apiStream

Only valid for graph node launches. This is the stream used in the graph launch API call.

uint32_t Sanitizer_LaunchData::blockDim_x

Launch properties of the grid. These values are only valid for SANITIZER_CBID_LAUNCH_BEGIN and graph node launch callbacks

uint32_t Sanitizer_LaunchData::blockDim_y

Launch properties of the grid. These values are only valid for SANITIZER_CBID_LAUNCH_BEGIN and graph node launch callbacks

uint32_t Sanitizer_LaunchData::blockDim_z

Launch properties of the grid. These values are only valid for SANITIZER_CBID_LAUNCH_BEGIN and graph node launch callbacks

uint32_t Sanitizer_LaunchData::clusterDim_x

Launch properties of the grid. These values are only valid for SANITIZER_CBID_LAUNCH_BEGIN and graph node launch callbacks

uint32_t Sanitizer_LaunchData::clusterDim_y

Launch properties of the grid. These values are only valid for SANITIZER_CBID_LAUNCH_BEGIN and graph node launch callbacks

uint32_t Sanitizer_LaunchData::clusterDim_z

Launch properties of the grid. These values are only valid for SANITIZER_CBID_LAUNCH_BEGIN and graph node launch callbacks

CUcontext Sanitizer_LaunchData::context

The context where the grid is launched. For graph node launches, this is the context in which the kernel will run.

CUdevice Sanitizer_LaunchData::device

The device where the grid is launched

CUfunction Sanitizer_LaunchData::function

The function of the grid launch.

const char* Sanitizer_LaunchData::functionName

The name of the launched function.

uint32_t Sanitizer_LaunchData::gridDim_x

Launch properties of the grid. These values are only valid for SANITIZER_CBID_LAUNCH_BEGIN and graph node launch callbacks

uint32_t Sanitizer_LaunchData::gridDim_y

Launch properties of the grid. These values are only valid for SANITIZER_CBID_LAUNCH_BEGIN and graph node launch callbacks

uint32_t Sanitizer_LaunchData::gridDim_z

Launch properties of the grid. These values are only valid for SANITIZER_CBID_LAUNCH_BEGIN and graph node launch callbacks

uint64_t Sanitizer_LaunchData::gridId

Unique identifier of the grid launch. For graph node launches, this is only unique within the graphexec launch.

Sanitizer_StreamHandle Sanitizer_LaunchData::hApiStream

Unique handle for the API stream.

Sanitizer_LaunchHandle Sanitizer_LaunchData::hLaunch

Handle of the grid launch. This is only valid between the launch begin and end callbacks.

Sanitizer_StreamHandle Sanitizer_LaunchData::hStream

Unique handle for the stream.

CUmodule Sanitizer_LaunchData::module

The module containing the grid code.

CUstream Sanitizer_LaunchData::stream

The stream where the grid is launched.